#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%define		srcname		junit
%include	/usr/lib/rpm/macros.java
Summary:	JUnit - regression testing framework
Summary(pl.UTF-8):	JUnit - środowisko do testów regresji
Name:		java-junit
Version:	4.11
Release:	1
License:	IBM Common Public License v1.0
Group:		Libraries/Java
Source0:	https://github.com/junit-team/junit/archive/r%{version}.tar.gz
# Source0-md5:	bf62095e510f50baf0962af329438647
URL:		http://www.junit.org/
BuildRequires:	java-hamcrest11
BuildRequires:	java-qdox
BuildRequires:	jdk >= 1.5
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	java-hamcrest11
Requires:	java-qdox
Obsoletes:	junit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JUnit - regression testing framework.

%description -l pl.UTF-8
JUnit - środowisko do testów regresji.

%package javadoc
Summary:	Javadoc documentation for JUnit
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu JUnit
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	junit-doc
Obsoletes:	junit-javadoc

%description javadoc
JUnit API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu JUnit.

%package source
Summary:	Source code of JUnit
Summary(pl.UTF-8):	Kod źródłowy JUnita
Group:		Documentation
Requires:	jpackage-utils >= 1.7.5-2

%description source
Source code of JUnit.

%description source -l pl.UTF-8
Kod źródłowy JUnita.

%prep
%setup -q -n junit-r%{version}
install -d javadoc
rm -f junit/runner/Version.java.template

%build
required_jars="hamcrest11-core qdox"
CLASSPATH=$(build-classpath $required_jars)

%ant dist \
	-Dversion-status=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install junit%{version}/junit-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/junit-%{version}.jar
ln -sf junit-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/junit.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -pr junit%{version}/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

# source
install -d $RPM_BUILD_ROOT%{_javasrcdir}
install junit%{version}/junit-%{version}-src.jar $RPM_BUILD_ROOT%{_javasrcdir}/%{srcname}.src.jar

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/junit-%{version}.jar
%{_javadir}/junit.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%files source
%defattr(644,root,root,755)
%{_javasrcdir}/%{srcname}.src.jar
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-junit.git;a=log;h=master

* Tue Feb 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b18104f
- up to 4.11

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6552354
- up to 4.10

* Sat Feb 12 2011 Jakub Bogusz <qboosh@pld-linux.org> ab5a945
- -source descs

* Tue Apr 20 2010 pawelz <pawelz@pld-linux.org> a8d0b9e
- up to 4.8.2
- new download url
- use java-hamcrest11 (requires API that does not exist in hamcrest 1.2)
- source subpackage

* Tue Apr 20 2010 pawelz <pawelz@pld-linux.org> 43b6bd3
- rel 2

* Tue Apr 20 2010 pawelz <pawelz@pld-linux.org> 71124db
- no longer Provides: junit. Fix other packages instead.

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> 176bb94
- *REALY* don't force specific jdk, even java-sun

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> 646ac02
- don't force specific jdk

* Sun Dec 06 2009 pawelz <pawelz@pld-linux.org> d68c426
- up tu 4.8

* Thu Aug 20 2009 pawelz <pawelz@pld-linux.org> 5455164
- now it builds with both jdks, so droped prebuilt version
- BR: java-qdox
- if with gcj, BR gcc-java >= 6:4.4.0 (needs full java 5)
- fixed generation of javadoc with java_sun
- rel 4

* Thu May 21 2009 Elan Ruusamäe <glen@pld-linux.org> 827e7df
- build with java-sun, fallback to prebuilt one of no java-sun; rel 3

* Thu May 21 2009 Elan Ruusamäe <glen@pld-linux.org> ecd273d
- builds with java-sun ClassDataVersion=49.0

* Thu May 21 2009 Elan Ruusamäe <glen@pld-linux.org> 3d80138
- two more

* Thu May 21 2009 Elan Ruusamäe <glen@pld-linux.org> 2e7dd68
- source level 5.0 needed to compile
- drop R jdk. java autodeps are for that

* Wed May 20 2009 Elan Ruusamäe <glen@pld-linux.org> a7f1ef8
- fix hamcrest dep; rel 2

* Wed Apr 01 2009 pawelz <pawelz@pld-linux.org> 4e1b880
- added jdk bconds
- changed Name to java-junit

* Mon Mar 30 2009 pawelz <pawelz@pld-linux.org> 7320e1e
- Libraries/Java

* Tue Nov 20 2007 Elan Ruusamäe <glen@pld-linux.org> f3228e8
- java deps

* Sun Sep 09 2007 Jakub Bogusz <qboosh@pld-linux.org> c57e3e5
- updated to 4.4 (needs hamcrest now)

* Fri May 25 2007 Jakub Bogusz <qboosh@pld-linux.org> def4a3b
- BR: rpm-javaprov

